Bug 844099 - API call "channel.software.mergeErrata" behave not as expected.
API call "channel.software.mergeErrata" behave not as expected.
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
550
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 18:06 EDT by Dimitar Yordanov
Modified: 2012-09-21 09:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 10:00:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2012-07-28 18:06:24 EDT
Description of problem:
API call "channel.software.mergeErrata" behave not as expected.

Version-Release number of selected component (if applicable):
Satellite 5.4.1
Satellite 5.5.0

How reproducible:
100%

Steps to Reproduce:
1. satellite-sync -c rhel-x86_64-server-5
2. Create custom channel : test_merge_errata
3. Execute the following script

import sys, xmlrpclib
RHN_SERVER='https://sat-server@rehat.com/rpc/api'
RHN_USER='admin'
RHN_PASS='xxxxx'

client = xmlrpclib.Server(RHN_SERVER, verbose=0)
key = client.auth.login(RHN_USER, RHN_PASS)

CHANN='test_merge_errata'
client.channel.software.mergeErrata(key,'rhel-x86_64-server-5',CHANN)
  
Actual results:
The api call retuns list of erratas were supposed to be merget to the custom channel but actually there are no erratas in "test_merge_errata"

Expected results:
All erratas from rhel-x86_64-server-5 are merged to "test_merge_errata".


Additional info:
Probably a regression.According to JUnit test
http://svn.rhndev.redhat.com/viewcvs/trunk/qa/rpcapi/600/java/src/com/redhat/rhn/rpc/api/channel/software/mergeErrata.java?rev=205855&view=markup

as some moment it was working.
Comment 1 Tomas Lestach 2012-07-30 10:00:56 EDT
Errata get merged asynchronously on the background. The cloned errata aren't available immediately after cloning. It takes some time, until they get merged, especially, if you merge over 2450 errata.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.